> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Mentions

> Get all mentions of a TikTok account 

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "posts": [
      {
        "postDetails": {
          "postID": "7463064424731954450",
          "postImage": "https://8cd4d13f-aa75-4a0c-abdb-0f388a983964.selstorage.ru/post_TT:7459806945730642952_7463064424731954450?time=1749928036",
          "videoLink": "",
          "postUrl": "https://www.tiktok.com/@ur.cristiano7861/video/7463064424731954450",
          "dataId": "7459806945730642952_7463064424731954450",
          "date": "23-01-2025",
          "dateISO": "2025-01-23T11:01:38.000Z",
          "likes": 1140,
          "dislikes": 0,
          "comments": 80,
          "rePosts": 18,
          "views": 32900,
          "pollVotes": 0,
          "videoViews": 32900,
          "type": "video",
          "types": [
            "video"
          ],
          "hashTags": [
            "tiktok",
            "urcristiano",
            "foryou",
            "foryoupage",
            "trending",
            "viralvideo"
          ],
          "text": "I'm sorry @Khabane lame #tiktok #urcristiano #foryou #foryoupage #trending #viral_video ",
          "textLength": 88,
          "fromOwner": false,
          "isAd": true,
          "mentions": [
            {
              "name": "Khabane lame",
              "url": "https://www.tiktok.com/@khaby.lame",
              "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TT:127905465618821121?time=1756170904",
              "Followers": 161600000
            }
          ],
          "mentionsText": [
            "khaby.lame"
          ]
        },
        "postStats": {
          "interactions": 1238,
          "er": 0.00842526490584528,
          "viewsER": 0.037629179331307,
          "videoViewsER": 0.037629179331307,
          "indexGrade": -11.6422569766364,
          "mainGrade": "d"
        }
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/tiktok-account-mentions
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/tiktok-account-mentions:
    get:
      tags:
        - Workflow
      description: Triggers the workflow tiktok-account-mentions
      operationId: get_wf_tiktok-account-mentions
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get User Details**
          schema:
            type: string
        - name: month
          in: query
          required: true
          description: >-
            - Date Format: **yyyy-mm-dd**

            - Specify the month you want to retrieve.

            - Posts are collected within a one-month period.

            - Enter the first date of the month you want to collect.

            - To collect posts up to yesterday, enter the first date of the
            current month.

            - The more posts a month contains, the longer it will take to return
            the data.
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: If you would like to include Profile details, set this to `true`
          schema:
            type: boolean
            default: false
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````